Subject: Re: [PATCH v2 1/2] powerpc/selftest: Add gettimeofday() benchmark

From: Michael Neuling <[email-masked]>
Date: Mon, 28 Sep 2015 18:58:14 +1000

On Fri, 2015-09-25 at 11:37 +0200, Gabriel Paubert wrote:
> On Fri, Sep 25, 2015 at 12:28:30PM +0300, Denis Kirjanov wrote:
> > On 9/25/15, Arnd Bergmann <[email-masked]> wrote:
> > > On Friday 25 September 2015 14:01:39 Michael Neuling wrote:
> > >> This adds a benchmark directory to the powerpc selftests and adds a
> > >> gettimeofday() benchmark to it.
> > >>
> > >> Suggested-by: Michael Ellerman <[email-masked]>
> > >> Signed-off-by: Michael Neuling <[email-masked]>
> > >>
> > >
> > > Any reason for keeping this powerpc specific? It seems generally usef=
ul.
> > > and portable.
> > You're right. Moreover, we can put some comment to the benchmark why
> > we've made such decision to add it (reference to the commit
> > "powerpc/vdso: Avoid link stack corruption in __get_datapage()")
>=20
> Why gettimeofday? Isn't clock_gettime the modern variant?

We can do either here really.  I just wanted to test __get_datapage()
really.  I just stole the benchmark from Anton, which turned into mpe
wanting it in selftests.  I dumped it in powerpc mostly because I knew
mpe would take it (ie. I'm was being lazy).

> BTW: dows anyone receive 2 copies of every messge in this thread ?

I'm not.

Mikey

>=20
> I do, and I suspect that this is due to the Cc: list having both
> [email-masked] and [email-masked]. I removed the
> former for this reply.
>=20
>     Gabriel